package com.unicorn.hgzero.meeting.biz.usecase.in.dashboard;

import com.unicorn.hgzero.meeting.biz.domain.Dashboard;

/**
 * 대시보드 조회 UseCase
 */
public interface GetDashboardUseCase {

    /**
     * 사용자 대시보드 조회
     */
    Dashboard getDashboard(String userId);

    /**
     * 사용자 대시보드 (기간 필터) 조회
     */
    Dashboard getDashboardByPeriod(String userId, String period);
}
